clear
param
load coef

h=100;

yp=1; cp=2; ip=3; kp=4; rp=5;

v=zeros(5,h+1);
v(kp,1)=0.8;

for j=1:h
    v(cp,j)=chebypol(v(kp,j),cf,ka,kb);
    v(yp,j)=phi*v(kp,j)^sk;
    v(ip,j)=v(yp,j)-v(cp,j);
    v(rp,j)=sk*phi*v(kp,j)^(sk-1)-dk;
    v(kp,j+1)=((1-dk)*v(kp,j)+v(ip,j))/g;
end

v=v(:,1:h);

subplot(2,2,1), plot(v(yp,:)); title('Output'); ylabel('Level')
subplot(2,2,2), plot(v(cp,:)); title('Consumption');
subplot(2,2,3), plot(v(kp,:)); title('Capital'); xlabel('Years'); ylabel('Level')
subplot(2,2,4), plot(v(rp,:)); title('Rental rate'); xlabel('Years')