param
load coef

nk=100;
k=linspace(ka,kb,nk);
c=0.1+0.15*k;

tic
dif=1;
damp=0.99;
while dif>1e-8
    c1=eulereq(c,k);
    dif=max(abs(c1-c));
    c=damp*c1+(1-damp)*c;
end
toc

[z1,k1]=uniformnodes(ka,kb,1000);
c1_cheby=chebypol(z1,cf);
c1_interp=interp1(k,c,k1,'*cubic');

subplot(2,1,1), plot(k1,[c1_cheby c1_interp]);
subplot(2,1,2), plot(k1,c1_cheby-c1_interp);